Package com.independentsoft.office.odf

# Class ErrorMessage

java.lang.Object
com.independentsoft.office.odf.ErrorMessage

public class ErrorMessage extends Object
Represents a message to display if a user tries to enter invalid content into a cell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorMessage()`
  Initializes a new instance of the ErrorMessage class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorMessage`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<Paragraph>`
  `getParagraphs()`
  Contains a collection of Paragraph objects.
  `String`
  `getTitle()`
  Gets the title of a help or error message.
  `MessageType`
  `getType()`
  Specifies the display of messages.
  `boolean`
  `isDisplayMessage()`
  Specifies whether a table is displayed.
  `void`
  `setDisplayMessage​(boolean displayMessage)`
  Specifies whether a table is displayed.
  `void`
  `setTitle​(String title)`
  Sets the title of a help or error message.
  `void`
  `setType​(MessageType type)`
  Specifies the display of messages.
  `String`
  `toString()`
  Converts the value of the current ErrorMessage object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ErrorMessage

    public ErrorMessage()
    Initializes a new instance of the ErrorMessage class.

- ## Method Details

  - ### clone

    public ErrorMessage clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ErrorMessage object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getParagraphs

    public List<Paragraph> getParagraphs()
    Contains a collection of Paragraph objects.
    Returns:
      the paragraphs

  - ### getTitle

    public String getTitle()
    Gets the title of a help or error message.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title of a help or error message.
    Parameters:
      `title` - the new title

  - ### isDisplayMessage

    public boolean isDisplayMessage()
    Specifies whether a table is displayed.
    Returns:
      true, if is display message

  - ### setDisplayMessage

    public void setDisplayMessage​(boolean displayMessage)
    Specifies whether a table is displayed.
    Parameters:
      `displayMessage` - the new display message

  - ### getType

    public MessageType getType()
    Specifies the display of messages.
    Returns:
      the type

  - ### setType

    public void setType​(MessageType type)
    Specifies the display of messages.
    Parameters:
      `type` - the new type